Bug 1003123 - Long delay when logging in through kdm. Possible to change password after hitting enter.
Long delay when logging in through kdm. Possible to change password after hit...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 18:18 EDT by basjetimmer
Modified: 2015-02-17 11:59 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:59:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description basjetimmer 2013-08-30 18:18:37 EDT
Description of problem:

When reaching the kdm login prompt, after typing your password and hitting enter, nothing happens for ~20 seconds. During this time it is possible to change the password. Even though you already hit the enter key, and you do not hit it again, whatever is in the password box at the moment kdm decides to try and login counts (you can both fix an incorrect password, or break a correct one after hitting enter).

You can also just wait ~20 seconds when the login screen appears in which case everything seems to work correctly. So, the delay is not from the moment of hitting enter, but from the moment the login appears. 


Version-Release number of selected component (if applicable):

4.10.5-3.fc19

How reproducible:

Every time.

Steps to Reproduce:
1. Start computer
2. When the kdm login screen appears, try and login within about 20 seconds
3. You can't

Actual results:

Pressing enter seems to do nothing. One just looks at the cursor flashing in de password box for a while unsure whether your enter key is working until suddenly, login continues.

Expected results:

Login commences as soon as enter is pressed (and password was correct).

Additional info:

I first thought of #832840 which had mostly the same symptoms. But when checking that bug, someone had already commented and it was determined this was a different issue.
Comment 1 Martin Bříza 2013-09-02 08:14:07 EDT
Hi,
There was a similar issue with SDDM before we switched to GDM's PAM configuration.
Did you change anything in /etc/pam.d/kdm?
Also, in what SELinux mode are you running, please?
Clear installation of Fedora 19 KDE works fine with KDM so please mention any difference from the original settings especially in the areas I mentioned that comes to your mind.
Thank you.
Comment 2 basjetimmer 2013-09-04 03:43:34 EDT
Thanks for commenting. I have not changed anything in /etc/pam.d/kdm. Usually SELinux is in enforcing mode (the default) but booting into permissive mode gives the same results.

I cannot actually think of any system wide changes I have made except for fstab, crypttab and disabling some services. Are any services absolutely required for kdm to work?

Any other thoughts to what can cause this? Any logs to inspect?

Maybe I should try a reinstall and then update and customize while really taking note of when things go bad...

Thanks!
Comment 3 Ruben Guerra Marin 2013-09-04 03:49:00 EDT
Hi, I have had this problem since I installed fedora (problem was there on fresh install of f19). For me it is just like 10 seconds, and I know this is not a problem with SELinux, because I have it disabled. I also tried enabling it and doing the solutions they give on bug #832840 thinking it was the same bug, but it appears this is a whole different thing.

thanks!
Comment 4 Fedora End Of Life 2015-01-09 14:39:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:59:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.